Audio Recording
curl --request GET \
--url https://app.luly.ai/api/v1/calls/{call_id}/recording \
--header 'authorization: <authorization>'import requests
url = "https://app.luly.ai/api/v1/calls/{call_id}/recording"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://app.luly.ai/api/v1/calls/{call_id}/recording', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"url": "https://URL-TO-FILE.mp3"
}
(returns the audio file)
{
"status": "error",
"message": "Error fetching recording"
}
Calls
Audio Recording
Retrieve your call’s audio recording.
GET
/
v1
/
calls
/
{call_id}
/
recording
Audio Recording
Headers
string
required
Your API key for authentication.
string
Must be
application/json to receive a url, or audio/mpeg to receive the audio file.Path Parameters
string
The ID of the call to retrieve the recording for.
Response
string
Can be
success or error.string
If the status is
success, the url field will be present.A 404 error will be returned if the call does not exist or the recording is not available. We can only retrieve recordings if the call was created with record set to true.A 400/500 error will be returned if there is an error retrieving the recording.string
If the status is
success, the url will provide the exact location of the MP3 file storing the call’s audio.{
"status": "success",
"url": "https://URL-TO-FILE.mp3"
}
(returns the audio file)
{
"status": "error",
"message": "Error fetching recording"
}